
QGIS Application - Feature request #1066

Use separate categories/folder for SVG symbols in vector symbology

2008-05-06 04:54 AM - pls -

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution: fixed

Easy fix?: No Copied to github as #: 11126

Description

Actually, symbols are stored in different sub-folders under the svg folder, but in the "Properties" dialog of a layer they are displayed

altogether; due to the increasing number of symbols, it should be better to preserve the sub-folders organization in the QGIS interface

too, with a "show all" option to visualize all the symbols as in the actual implementation.

History

#1 - 2008-07-09 07:42 AM - Tim Sutton

Yes we could look at doing that.

#2 - 2008-07-09 08:07 AM - pls -

Replying to [comment:1 timlinux]:

Yes we could look at doing that.

Great! :)

#3 - 2011-12-16 01:59 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2011-12-25 12:21 PM - Giovanni Manghi

- Assignee deleted (Tim Sutton)

- Pull Request or Patch supplied set to No

- Category changed from GUI to Symbology

- Subject changed from Symbols folder to Use separate categories/folder for SVG symbols in vector symbology

#5 - 2012-04-15 10:13 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#6 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2012-11-20 02:24 PM - Martin Dobias

- Status changed from Open to Closed

- Target version changed from Future Release - Nice to have to Version 2.0.0

- Resolution set to fixed
SVG symbols are now accessible from their folders (thanks to Arun's GSoC work).
